#
# spec file for package rubygem-taskjuggler
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-taskjuggler
Version:        3.6.0
Release:        lp151.17.1
%define mod_name taskjuggler
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://www.taskjuggler.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A Project Management Software
License:        GPL-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
TaskJuggler is a modern and powerful, Free and Open Source Software project
management tool. Its new approach to project planing and tracking is more
flexible and superior to the commonly used Gantt chart editing tools.
TaskJuggler is project management software for serious project managers. It
covers the complete spectrum of project management tasks from the first idea
to the completion of the project. It assists you during project scoping,
resource assignment, cost and revenue planing, risk and communication
management.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG COPYING README.rdoc" \
  -f
# MANUAL
## vim
# don't turn on folding automatically
sed -i '/foldmethod/d' %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/data/tjp.vim
install -d -m 0755 %{buildroot}%{_datadir}/vim/site/{syntax,ftdetect}
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/data/tjp.vim %{buildroot}%{_datadir}/vim/site/syntax
cat > %{buildroot}%{_datadir}/vim/site/ftdetect/tjp_filetype.vim <<EOF
au BufNewFile,BufRead *.tjp,*.tji  set ft=tjp
EOF
# /MANUAL

%files
%defattr(-,root,root,-)
%{_datadir}/vim

%gem_packages

%changelog
* Sun Mar 13 2016 coolo@suse.com
- updated to version 3.6.0
  see installed CHANGELOG
  = Release 3.6.0 (2016-03-12)
  == New Features
  * Bump version to 3.6.0
  * 'headcount' now ignores resources that are marked as unemployed.
  * Adding experimental support for 'effortdone' and 'effortleft'
  * Ruby 2.1 compatibility fixes
  * The sort* report attributes no longer require a scenario id.
  * Allow not-yet declared resources for 'managers' and 'responsible'.
  * Issue error when uninitialized dates are used in logical expressions.
  * Allow tasks with 'booking' and 'scheduled' but without effort.
  * New report column 'children' to list all direct children.
  == Bug Fixes
  * Remove rspec warnings.
  * Eliminate warning about duplicate hash entry.
  * Fixing a test suite problem with Ruby 2.2.x.
  * Fix tj3man crash with Ruby 2.2.2.
  * Don't crash when a parent scenario is inactive.
  * Improving the documentation of list attributes
  * Check that duration values are at least 'timingresolution' long.
  * Don't crash on config files with missing sections.
  * Use hardcoded tree sorting for MS Project XML.
  * Resolve symlinks when constructing lib path.
  * Don't crash when unknown property attributes are used in logical expressions.
  * Clarifying that trace reports have fixed units and formating.
  * gaplength/gapduration now works with onstart/onend of effort tasks
* Fri Jun 19 2015 coolo@suse.com
- use new packaging
* Wed Jul 31 2013 coolo@suse.com
- updated to version 3.5.0
  == New Features
  * Only include scenario in error messages when using multiple scenarios.
  * Hammock tasks are now supported.
  * Adding search field to the online user manual.
  * List contended resources and tasks for runaway tasks.
  * Queries can now access attributes of parent properties.
  * Adding support for new custom attribute type 'number'.
  * Add --list-reports option for tj3 similar to tj3client.
  * Ruby 2.0 is now the recommended Ruby version.
  * Adding 'outputdir' attribute to set output directory for reports.
  * 'auxdir' attribute is now also a global attribute.
  == Bug Fixes
  * Don't crash on 'tj3man -m' command
  * Clarify error message when dependency is broken.
  * Don't ignore provided start/end date when deps are present.
  * Ensure that 'length' considers task 'shifts' as well.
  * Fixing some layout issues with Firefox.
  * Include optional attributes in export of extended attribute definition.
  * Make project freezing work on Windows again.
  * Don't ignore bookings for task limits.
  * Use proper github link to current repository in manual.
  * Don't crash when group resources are made persistent.
  * Make gem build work on Ruby 2.0.0
  * columns using 'celltext' now show the correct value
  * Add new function to test for invalid attribute values in logical expressions.
  * Use correct DOCTYPE in HTML5 documents.
  * Make spaces after <fcol:...> work in RichText.
  * Ensure that times in ICal files are always UTC.
  * Added warning for overwriting non-scenario-specific attributes.
  * Add link to logical expression page for attributes that use them.
  * Clarify description of 'newtask' keyword.
  * Don't crash when containers are marked as milestone.
  * Include off-hour shading in Gantt charts when end is off chart.
  * Adding missing 'turnover' to 'columnid' documentation.
* Mon May 13 2013 coolo@suse.com
- updated to version 3.4.0
  * 'auxdir' can be used to specify alterntive path to CSS and script files.
  * Trace file reader can now deal with Open/LibreOffice generated files.
  * Add timefomat1 and timeformat2 attributes to set calendar column headers.
  * Add report columns 'scheduling' to show the scheduling mode of leaf tasks.
  * Priority inversions now generate a warning.
  * 'competitors' and 'competitorcount' columns added.
  * Better documentation of the task scheduler in the user manual.
  * Support raw HTML fragments inlined into rich text strings.
  * Added 'rawhtmlhead' attribute to insert HTML fragments into the HTML head section.
  * Major performance improvements for reports using targets and inputs.
  * Adding --report and --reports option to tj3.
  == Bug Fixes
  * Don't crash on files with bad file encodings.
  * 'tagfile' cannot work without a file name.
  * Report correct line number for errors at end of master file.
  * Don't crash when adopting a top-level task.
  * Don't put -bookings.tji file in -o directory.
  * MS Project XML files respect the 'screnarios' setting now.
  * Timesheet reports are now based on the 'trackingscenario' instead of the top-level.
  * Make <-reportlink ...-> work with otherwise empty strings.
  * Handle *prefix settings properly across nested include files.
  * Properly export working hours that are not hour-aligned.
  * Fix link to generated tutorial reports.
  * Add requirement for >= Ruby 1.9.2 for non-ASCII users.
  * Undefined macros ${?foo} now work with TJ3.
  * Improving the heuristic to select a persistent resource from a set of alternatives.
  * Ensure that resource load bars in Gantt charts have at least a 1px width
* Wed Nov  7 2012 lnussel@suse.de
- new package version 3.3.0
